package cn.fw.hermes.common.constant;

/**
 * @author 张志伟
 * @date 2018-04-02 09:51
 * @description
 */
public enum AudienceEnum {
    /**
     * 别名类型
     */
    ALIAS(1, "别名"),
    /**
     * 设备ID类型
     */
    REGISTRATION_ID(2, "设备ID"),
    /**
     * 标签OR类型
     */
    TAG_OR(3, "标签OR"),
    /**
     * 所有类型
     */
    ALL(4, "所有"),
    /**
     * 标签AND类型
     */
    TAG_AND(5, "标签AND"),
    /**
     * 标签NOT类型
     */
    TAG_NOT(6, "标签NOT");

    private int code;
    private String msg;

    AudienceEnum(int value, String description) {
        this.code = value;
        this.msg = description;
    }

    public Integer value() {
        return this.code;
    }

    public String description() {
        return this.msg;
    }
}
