package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.hermes.domain.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @Author: Chenery
 * @Date: 2021/1/27 10:25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessAccount extends BaseEntity<BusinessAccount,Long> {
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 账户类型
     * 0：系统用户
     * 1：普通用户
     */
    private BusinessTypeEnum businessType;
    /**
     * 用户描述
     */
    private String businessDesc;
}
