package cn.fw.hermes.sdk.api.para;

import lombok.Data;

/**
 * @Author: Chenery
 * @Date: 2021/2/22 10:55
 */
@Data
public class ChatPullCondition {

    /**
     * 消息发送人userId
     */
    private Long fromAccount;

    /**
     * 消息发送人是否是业务人员
     */
    private Boolean fromIsStaff;
    /**
     * 消息接收人userId
     */
    private Long toAccount;
    /**
     * 消息接收人是否是业务人员
     */
    private Boolean toIsStaff;

    /**
     * 开始时间 单位 秒数
     */
    private Long startTime;
    /**
     * 结束时间 单位 秒数
     */
    private Long endTime;


}
