package cn.fw.hermes.sdk.api.para;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-17 17:51
 * @description
 */
public enum MsgTypeEnum {
    /**
     * 消息类型
     */
    TEXT("TIMTextElem", "文本消息"),
    LOCATION("TIMLocationElem", "地理位置消息"),
    FACE("TIMFaceElem", "表情消息"),
    CUSTOM("TIMCustomElem", "自定义消息");
    @Getter
    private String code;
    @Getter
    private String msg;

    MsgTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
