package cn.fw.hermes.service.data.impl;

import cn.fw.hermes.dao.mapper.SysMsgMapper;
import cn.fw.hermes.domain.db.SysMsg;
import cn.fw.hermes.service.data.MessageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * @Author: Chenery
 * @Date: 2021/1/29 15:22
 */
@Service
public class MessageServiceImpl extends ServiceImpl<SysMsgMapper, SysMsg> implements MessageService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean saveMsg(SysMsg sysMsg) {
        return this.save(sysMsg);
    }
}
