package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-08 17:12
 * @description
 */
public enum RedisKey {
    /**
     * redisKey
     */
    SYS_ACCOUNT("push:im:sys:account", "系统账号key"),
    ADMIN_SIG("push:im:sig:admin:{0}", "获取管理员的签名key"),
    USER_SIG("push:im:sig:user:{0}", "获取用户的签名key"),
    MESSAGE_BUSINESS_TYPE("message:business:type","获取消息业务类型的key"),
    ASYN_MESSAGE_TARGET("message:asynchronous:target","异步消息对象key"),
    SAVE_MESSAGE_FAILED("message:send:failed","保存数据库失败的消息key"),
    PULL_CHAT_RECORD("push:lock:pull:chatrecord","同步IM聊天记录KEY");


    @Getter
    private String code;
    @Getter
    private String msg;

    RedisKey(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
